package net.northking.cctp.device.dto.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class  CdMobileDeviceRecycleDto {
    //设备id集合
    @ApiModelProperty("设备id集合")
    private List<String> ids;
    /**
     * 到期时间<br>
     */
    @ApiModelProperty("到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date expiredTime;
    /**
     * 回收方式(1-自动回收 2-手动回收)<br>
     */
    @ApiModelProperty("回收方式(1-自动回收 2-手动回收)")
    private String recycleType;

    @ApiModelProperty("系统id")
    private String projectId;

    @ApiModelProperty("租户id")
    private String tenantId;

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }

    public String getRecycleType() {
        return recycleType;
    }

    public void setRecycleType(String recycleType) {
        this.recycleType = recycleType;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
